      subroutine ugmate
c     
c     
c     
c     Define GEANT standard Material and user new Material
c     
      implicit none

      real  A_sci(2),Z_sci(2),wmat_sci(2)
      real  A_si(1), Z_si(1), wmat_si(1)
      real  A_t(1),Z_t(1),wmat_t(1)
      real  A_he(1),Z_he(1),wmat_he(1)
      real  A_sm2co17(2),Z_sm2co17(2),wmat_sm2co17(2)
      real  A_c(6), Z_c(6), W_c(6)
      real  A_sc(3), Z_sc(3), W_sc(3)

c     Scintillator
      data A_sci/12.01, 1.01/
      data Z_sci/6.0, 1.0/
      data wmat_sci/1.0, 1.0/

c     Silicon
      data A_si/28.09/
      data Z_si/14.0/
      data wmat_si/1.0/

c     Titanium
      data A_t/47.88/
      data Z_t/22.0/
      data wmat_t/1.0/

c     Hellium
      data A_he/4.0/
      data Z_he/2.0/
      data wmat_he/1.0/

c     Sm2Co17
      data A_sm2co17/150.36, 58.933/
      data Z_sm2co17/62.0, 27.0/
      data wmat_sm2co17/2.0, 17.0/

c     Concrete
      data A_c/1.00794,16.0,27.0,40.078,28.0855,55.847/
      data Z_c/1.0    , 8.0,13.0,20.0  ,14.0   ,26.0  /
      data W_c/0.004,0.509,0.034,0.070,0.345,0.038/

c Superconductive Coil 60% Cu 20% Nb 20% Ti
      data A_sc/63.55, 92.91, 47.87/
      data Z_sc/29.0, 41.0, 22.0/
      data W_sc/0.6, 0.2, 0.2/
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     define GEANT standard Material
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      call gmate
c     here we define the mixture for a scintillator
c     
c     gsmixt( imate, nmate, A, Z, dens, nlmat, wmat*)
c     
c     imate : (integer) user material (mixture) number
c     nmate : (charachter*20) mixture name
c     A     : (real) array of atomic weights
c     Z     : (real) array of atomic numbers
c     dens  : (real) density in g/cm3
c     nlamt : (integer) number of elements in mixture
c     > 0 wmat contains the proportion by weight of each
c     material in the mixture
c     < 0 wmat contains the proportion by number of atoms of
c     each kind, the contant of wmat in output is changed
c     to contain the relative weights.
c     
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     define USER new Material
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      call gsmixt(17,'SCINTILLATOR',A_sci,Z_sci,1.032,-2,wmat_sci)
      CALL GSMATE(18,'G10',  6.25,3.4,1.032,43.0,437.,0,0)
      call gsmixt(19,'SILICON',A_si,Z_si,2.33,-1,wmat_si)
      call gsmixt(20,'TITATIUM',A_t,Z_t,4.54,-1,wmat_t)
      call gsmixt(21,'Sm2Co17',A_sm2co17,Z_sm2co17
     +     ,8.4,-2,wmat_sm2co17)
      call gsmixt(22,'CONCRETE',A_c,Z_c,2.35,6,W_c)
      call gsmixt(23,'LIQ-HE',A_he,Z_he,0.125,-1,wmat_he)
      call gsmixt(24,'SC-COIL',A_sc,Z_sc,7.578,3,w_sc)

      return
      end
